NonTerminal (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.syntax

## Class NonTerminal

- java.lang.Object
- - hlt.language.util.Indexed
  - - hlt.language.util.AbstractListIndexed
    - - hlt.language.syntax.Symbol
      - - hlt.language.syntax.GrammarSymbol
        - - hlt.language.syntax.NonTerminal

- All Implemented Interfaces:
    Comparable, Named

      public class NonTerminal
      extends GrammarSymbol

  This is the class of nonterminal symbols used by the grammar at parser construction time.
  Version:
    Last modified on Fri Apr 13 20:05:47 2012 by hak
  Author:
    Hassan Aït-Kaci
  See Also:
    `GrammarSymbol`
  Copyright:
    © by the author

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `nodeType` The class name of a parse stack node for this symbol (if != null, the name of a subclass of ParseNode).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `boolean` | `lessThan(Comparable other)` Symbols other than operators are ordered by their names, ignoring all leading non-letter characters.

    - ### Methods inherited from class hlt.language.syntax.Symbol

      `name, toString`

    - ### Methods inherited from class hlt.language.util.AbstractListIndexed

      `add`

    - ### Methods inherited from class hlt.language.util.Indexed

      `hashCode, index`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### nodeType

          public java.lang.String nodeType

      The class name of a parse stack node for this symbol (if != null, the name of a subclass of ParseNode).

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `GrammarSymbol`

    - #### lessThan

          public final boolean lessThan(Comparable other)

      Description copied from class: `Symbol`
      Symbols other than operators are ordered by their names, ignoring all leading non-letter characters. Operators are ordered by their precedences in their category - i.e., this method is overridden in the subclass `Operator`.
      Specified by:
        `lessThan` in interface `Comparable`
      Overrides:
        `lessThan` in class `Symbol`